<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_UnderlyingEBITDA" xlink:label="safestoreholdingsplc_UnderlyingEBITDA" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_ExceptionalItems" xlink:label="safestoreholdingsplc_ExceptionalItems" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_DepreciationAndVariableLeasePayments" xlink:label="safestoreholdingsplc_DepreciationAndVariableLeasePayments" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_ShareOfAssociatesDepreciationInterestAndTax" xlink:label="safestoreholdingsplc_ShareOfAssociatesDepreciationInterestAndTax" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_OperatingProfitBeforeGainsOnInvestmentPropertiesAndOtherExceptionalGains" xlink:label="safestoreholdingsplc_OperatingProfitBeforeGainsOnInvestmentPropertiesAndOtherExceptionalGains" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_GainOnInvestmentProperties" xlink:label="safestoreholdingsplc_GainOnInvestmentProperties" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_OtherExceptionalGains" xlink:label="safestoreholdingsplc_OtherExceptionalGains" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_ExternalValuationOfInvestmentPropertiesNetOfLeaseLiabilities" xlink:label="safestoreholdingsplc_ExternalValuationOfInvestmentPropertiesNetOfLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_AddBackOfLeaseLiabilities" xlink:label="safestoreholdingsplc_AddBackOfLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_NetExpenseFromCumulativeImpactOfNetInvestmentHedges" xlink:label="safestoreholdingsplc_NetExpenseFromCumulativeImpactOfNetInvestmentHedges" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_ProceedsFromDisposalOfLandClassifiedAsInvestingActivities" xlink:label="safestoreholdingsplc_ProceedsFromDisposalOfLandClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_ExceptionalSwapTerminationClassifiedAsFinancingActivities" xlink:label="safestoreholdingsplc_ExceptionalSwapTerminationClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_FinancialInstrumentsIncomeClassifiedAsFinancingActivities" xlink:label="safestoreholdingsplc_FinancialInstrumentsIncomeClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_DescriptionOfAccountingPolicyForClimateChange" xlink:label="safestoreholdingsplc_DescriptionOfAccountingPolicyForClimateChange" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_DescriptionOfAccountingPolicyForNonGAAPFinancialInformationAlternativePerformanceMeasures" xlink:label="safestoreholdingsplc_DescriptionOfAccountingPolicyForNonGAAPFinancialInformationAlternativePerformanceMeasures" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_DisclosureOfExceptionalItemsAndOtherExceptionalGains" xlink:label="safestoreholdingsplc_DisclosureOfExceptionalItemsAndOtherExceptionalGains" />
    <loc xlink:type="locator" xlink:href="213800WGA3YSJC1YOH73-2023-10-31.xsd#safestoreholdingsplc_DisclosureOfAnalysisOfMovementInGrossAndNetDebt" xlink:label="safestoreholdingsplc_DisclosureOfAnalysisOfMovementInGrossAndNetDebt" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_UnderlyingEBITDA" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcUnderlyingEBITDA_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_ExceptionalItems" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_DepreciationAndVariableLeasePayments" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcDepreciationAndVariableLeasePayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_ShareOfAssociatesDepreciationInterestAndTax" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcShareOfAssociatesDepreciationInterestAndTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_OperatingProfitBeforeGainsOnInvestmentPropertiesAndOtherExceptionalGains" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcOperatingProfitBeforeGainsOnInvestmentPropertiesAndOtherExceptionalGains_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_GainOnInvestmentProperties" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcGainOnInvestmentProperties_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_OtherExceptionalGains" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcOtherExceptionalGains_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_ExternalValuationOfInvestmentPropertiesNetOfLeaseLiabilities" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcExternalValuationOfInvestmentPropertiesNetOfLeaseLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_AddBackOfLeaseLiabilities" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcAddBackOfLeaseLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_NetExpenseFromCumulativeImpactOfNetInvestmentHedges" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcNetExpenseFromCumulativeImpactOfNetInvestmentHedges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_ProceedsFromDisposalOfLandClassifiedAsInvestingActivities" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcProceedsFromDisposalOfLandClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_ExceptionalSwapTerminationClassifiedAsFinancingActivities" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcExceptionalSwapTerminationClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_FinancialInstrumentsIncomeClassifiedAsFinancingActivities" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcFinancialInstrumentsIncomeClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_DescriptionOfAccountingPolicyForClimateChange" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcDescriptionOfAccountingPolicyForClimateChange_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_DescriptionOfAccountingPolicyForNonGAAPFinancialInformationAlternativePerformanceMeasures" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcDescriptionOfAccountingPolicyForNonGAAPFinancialInformationAlternativePerformanceMeasures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_DisclosureOfExceptionalItemsAndOtherExceptionalGains" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcDisclosureOfExceptionalItemsAndOtherExceptionalGains_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="safestoreholdingsplc_DisclosureOfAnalysisOfMovementInGrossAndNetDebt" xlink:to="label_safestoreholdingsplc_safestoreholdingsplcDisclosureOfAnalysisOfMovementInGrossAndNetDebt_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcUnderlyingEBITDA_Standard" id="safestoreholdingsplc_safestoreholdingsplcUnderlyingEBITDA_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Underlying EBITDA</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcExceptionalItems_Standard" id="safestoreholdingsplc_safestoreholdingsplcExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional items</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcDepreciationAndVariableLeasePayments_Standard" id="safestoreholdingsplc_safestoreholdingsplcDepreciationAndVariableLeasePayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Depreciation and variable lease payments</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcShareOfAssociatesDepreciationInterestAndTax_Standard" id="safestoreholdingsplc_safestoreholdingsplcShareOfAssociatesDepreciationInterestAndTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share of associates depreciation, interest and tax</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcOperatingProfitBeforeGainsOnInvestmentPropertiesAndOtherExceptionalGains_Standard" id="safestoreholdingsplc_safestoreholdingsplcOperatingProfitBeforeGainsOnInvestmentPropertiesAndOtherExceptionalGains_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating profit before gains on investment properties and other exceptional gains</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcGainOnInvestmentProperties_Standard" id="safestoreholdingsplc_safestoreholdingsplcGainOnInvestmentProperties_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gain on investment properties</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcOtherExceptionalGains_Standard" id="safestoreholdingsplc_safestoreholdingsplcOtherExceptionalGains_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other exceptional gains</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcExternalValuationOfInvestmentPropertiesNetOfLeaseLiabilities_Standard" id="safestoreholdingsplc_safestoreholdingsplcExternalValuationOfInvestmentPropertiesNetOfLeaseLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">External valuation of investment properties, net of lease liabilities</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcAddBackOfLeaseLiabilities_Standard" id="safestoreholdingsplc_safestoreholdingsplcAddBackOfLeaseLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Add-back of lease liabilities</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcNetExpenseFromCumulativeImpactOfNetInvestmentHedges_Standard" id="safestoreholdingsplc_safestoreholdingsplcNetExpenseFromCumulativeImpactOfNetInvestmentHedges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net expense from cumulative impact of net investment hedges</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcProceedsFromDisposalOfLandClassifiedAsInvestingActivities_Standard" id="safestoreholdingsplc_safestoreholdingsplcProceedsFromDisposalOfLandClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds from disposal of land classified as investing activities</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcExceptionalSwapTerminationClassifiedAsFinancingActivities_Standard" id="safestoreholdingsplc_safestoreholdingsplcExceptionalSwapTerminationClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional swap termination classified as financing activities</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcFinancialInstrumentsIncomeClassifiedAsFinancingActivities_Standard" id="safestoreholdingsplc_safestoreholdingsplcFinancialInstrumentsIncomeClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financial instruments income classified as financing activities</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcDescriptionOfAccountingPolicyForClimateChange_Standard" id="safestoreholdingsplc_safestoreholdingsplcDescriptionOfAccountingPolicyForClimateChange_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for climate change</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcDescriptionOfAccountingPolicyForNonGAAPFinancialInformationAlternativePerformanceMeasures_Standard" id="safestoreholdingsplc_safestoreholdingsplcDescriptionOfAccountingPolicyForNonGAAPFinancialInformationAlternativePerformanceMeasures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for non-GAAP financial information/ alternative performance measures</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcDisclosureOfExceptionalItemsAndOtherExceptionalGains_Standard" id="safestoreholdingsplc_safestoreholdingsplcDisclosureOfExceptionalItemsAndOtherExceptionalGains_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of exceptional items and other exceptional gains</label>
    <label xlink:label="label_safestoreholdingsplc_safestoreholdingsplcDisclosureOfAnalysisOfMovementInGrossAndNetDebt_Standard" id="safestoreholdingsplc_safestoreholdingsplcDisclosureOfAnalysisOfMovementInGrossAndNetDebt_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of analysis of movement in gross and net debt</label>
  </labelLink>
</linkbase>